Package tigase.server

## Class DataForm.Field.Builder

- java.lang.Object
- - tigase.server.DataForm.Field.Builder

- Enclosing class:
    DataForm.Field

      public static class DataForm.Field.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(Element form, DataForm.FieldType type, java.lang.String var)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataForm.Field.Builder` | `addOption​(java.lang.String value)` |
    `DataForm.Field.Builder` | `addOption​(java.lang.String value, java.lang.String label)` |
    `Element` | `build()` |
    `DataForm.Field.Builder` | `setDesc​(java.lang.String desc)` |
    `DataForm.Field.Builder` | `setLabel​(java.lang.String label)` |
    `DataForm.Field.Builder` | `setOptions​(java.lang.String[] values)` |
    `DataForm.Field.Builder` | `setOptions​(java.lang.String[] values, java.lang.String[] labels)` |
    `DataForm.Field.Builder` | `setRequired​(boolean required)` |
    `DataForm.Field.Builder` | `setValue​(java.lang.Boolean value)` |
    `DataForm.Field.Builder` | `setValue​(java.lang.String value)` |
    `DataForm.Field.Builder` | `setValues​(java.lang.String[] values)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(Element form,
                         DataForm.FieldType type,
                         java.lang.String var)

  - ### Method Detail

    - #### setLabel

          public DataForm.Field.Builder setLabel​(java.lang.String label)

    - #### setDesc

          public DataForm.Field.Builder setDesc​(java.lang.String desc)

    - #### setRequired

          public DataForm.Field.Builder setRequired​(boolean required)

    - #### addOption

          public DataForm.Field.Builder addOption​(java.lang.String value)

    - #### addOption

          public DataForm.Field.Builder addOption​(java.lang.String value,
                                                  java.lang.String label)

    - #### setOptions

          public DataForm.Field.Builder setOptions​(java.lang.String[] values)

    - #### setOptions

          public DataForm.Field.Builder setOptions​(java.lang.String[] values,
                                                   java.lang.String[] labels)

    - #### setValue

          public DataForm.Field.Builder setValue​(java.lang.Boolean value)

    - #### setValue

          public DataForm.Field.Builder setValue​(java.lang.String value)

    - #### setValues

          public DataForm.Field.Builder setValues​(java.lang.String[] values)

    - #### build

          public Element build()